libzypp 17.37.10

zypp::sat::solvitermixin_detail::UnifyByIdent Struct Reference

Unify by `ident` ``(kind:name). More...

`#include <zypp/sat/SolvIterMixin.h>`

## Public Types
using | Uset = std::unordered_set<unsigned int>

## Public Member Functions
bool | operator() (const Solvable &solv_r) const
| UnifyByIdent ()

## Public Attributes
shared_ptr< Uset > | _uset

## Detailed Description

Unify by `ident` ``(kind:name).

Return true on the 1st appearance of a new `ident`. This is used in SolvIterMixin when mapping a Solvable iterator to a Selectable iterator.

Definition at line 43 of file SolvIterMixin.h.

## Member Typedef Documentation

## ◆ Uset

using zypp::sat::solvitermixin_detail::UnifyByIdent::Uset = std::unordered_set<unsigned int>

Definition at line 47 of file SolvIterMixin.h.

## Constructor & Destructor Documentation

## ◆ UnifyByIdent()

zypp::sat::solvitermixin_detail::UnifyByIdent::UnifyByIdent | ( |  | ) |
| inline

Definition at line 48 of file SolvIterMixin.h.

## Member Function Documentation

## ◆ operator()()

bool zypp::sat::solvitermixin_detail::UnifyByIdent::operator() | ( | const Solvable & | solv_r | ) | const

Definition at line 31 of file SolvIterMixin.cc.

## Member Data Documentation

## ◆ _uset

shared_ptr<Uset> zypp::sat::solvitermixin_detail::UnifyByIdent::_uset

Definition at line 51 of file SolvIterMixin.h.

The documentation for this struct was generated from the following files:

- zypp/sat/SolvIterMixin.h
- zypp/sat/SolvIterMixin.cc